<?php

namespace App\Repository;

use App\Entity\DirectCompany;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\ORM\OptimisticLockException;
use Doctrine\ORM\ORMException;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @extends ServiceEntityRepository<DirectCompany>
 *
 * @method DirectCompany|null find($id, $lockMode = null, $lockVersion = null)
 * @method DirectCompany|null findOneBy(array $criteria, array $orderBy = null)
 * @method DirectCompany[]    findAll()
 * @method DirectCompany[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class DirectCompanyRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, DirectCompany::class);
    }

    /**
     * @throws ORMException
     * @throws OptimisticLockException
     */
    public function add(DirectCompany $entity, bool $flush = true): void
    {
        $this->_em->persist($entity);
        if ($flush) {
            $this->_em->flush();
        }
    }

    /**
     * @throws ORMException
     * @throws OptimisticLockException
     */
    public function remove(DirectCompany $entity, bool $flush = true): void
    {
        $this->_em->remove($entity);
        if ($flush) {
            $this->_em->flush();
        }
    }
}
